org.ajax4jsf.taglib.html.jsp

## Class AjaxSupportTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.AjaxSupportTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag
  Direct Known Subclasses:
    AjaxSupport

      public class AjaxSupportTag
      extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:32 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AJAX_SUPPORT_FACET`

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSupportTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `protected java.lang.String` | `getFacetName()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAction(javax.el.MethodExpression action)`
    `void` | `setActionListener(javax.el.MethodExpression actionListener)`
    `void` | `setAjaxSingle(javax.el.ValueExpression ajaxSingle)`
    `void` | `setDisableDefault(javax.el.ValueExpression ajaxType)`
    `void` | `setEvent(java.lang.String event)`
    `void` | `setImmediate(javax.el.ValueExpression immediate)`
    `void` | `setLimitToList(javax.el.ValueExpression limitToList)`
    `void` | `setOncomplete(javax.el.ValueExpression oncomplete)`
    `protected void` | `setParentProperties(UIAjaxSupport uiComponent)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setReRender(javax.el.ValueExpression ajaxId)`
    `void` | `setStatus(javax.el.ValueExpression status)`
    `void` | `setValue(javax.el.ValueExpression value)`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Field Detail

    - #### AJAX_SUPPORT_FACET

          public static final java.lang.String AJAX_SUPPORT_FACET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxSupportTag

          public AjaxSupportTag()

  - ### Method Detail

    - #### setDisableDefault

          public void setDisableDefault(javax.el.ValueExpression ajaxType)

      Parameters:
        `type` - The type to set.

    - #### setReRender

          public void setReRender(javax.el.ValueExpression ajaxId)

      Parameters:
        `reRender` - The targetId to set.

    - #### setEvent

          public void setEvent(java.lang.String event)

      Parameters:
        `event` - The event to set.

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression oncomplete)

      Parameters:
        `oncomplete` - The oncomplete to set.

    - #### setStatus

          public void setStatus(javax.el.ValueExpression status)

      Parameters:
        `status` - The status to set.

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression limitToList)

      Parameters:
        `limitToList` - The submitForm to set.

    - #### setAction

          public void setAction(javax.el.MethodExpression action)

      Parameters:
        `action` - The action to set.

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression actionListener)

      Parameters:
        `actionListener` - The actionListener to set.

    - #### setParentProperties

          protected void setParentProperties(UIAjaxSupport uiComponent)

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

      Parameters:
        `value` - The value to set.

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression immediate)

      Parameters:
        `immediate` - The immediate to set.

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression ajaxSingle)

      Parameters:
        `ajaxSingle` - The ajaxSingle to set.

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### getFacetName

          protected java.lang.String getFacetName()

      Overrides:
        `getFacetName` in class `javax.faces.webapp.UIComponentClassicTagBase`

Copyright © 2013. All Rights Reserved.